#!/bin/bash -x

for gradpsi in {-2.0,0.0,2.0}; do
    for gradp in {-2.0,2.0}; do
       
        python compare-via-fipy.py ${gradpsi} ${gradp} | tee screen_${gradpsi}_${gradp}.out

        python plot_fipy_results.py

        DN="BC_${gradpsi}_${gradp}"

        if [ -d ${DN} ]; then
            rm -rf ${DN}
        fi
        
        mkdir ${DN}            
        mv theis-fipy-output-*.h5 ${DN}
        mv across-parameters.png ${DN}
        mv coupled-uncoupled-comparison.png ${DN}
        mv screen_*.out ${DN}
        
    done
done

